The right-click context menu don't work

2008-03-20 20:11 - Sergej Jegorov

Status: Closed Start date: 2008-03-20

Priority: Normal Due date:  

Assignee: John Goerzen % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The right-click context menu don't work after update from r1276 to r1277

Associated revisions

Revision 1278 - 2008-03-20 20:25 - John Goerzen

Revert "Make an issue's done_ratio field adjustable from the right-click"

Reverts commit r1277

fixes #904

refs #641

This had been working for me in testing for some time, but received

issue #904 saying it broke the context menu.  I was able to make it do

so on a new project as well.  Will revert and comment in #641 about this.

Revision 1279 - 2008-03-21 18:32 - Jean-Philippe Lang

Add done_ratio to the right-click context menu.

Closes #904 (back_to variable used in patch #641 and in r1277 is no longer defined).

History

#1 - 2008-03-20 21:17 - John Goerzen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1278.

#2 - 2008-03-21 00:01 - John Goerzen

- Status changed from Closed to Reopened

- % Done changed from 100 to 0

Upon further investigation, I do not believe this specific problem caused the referenced issue.  I should have validated the submitter's assertion.

After reverting the patch in r1278, subsequent testing reveals the issue is still present.  That is, the state of the tree at r1278 is identical to the state at 

r1276, which would indicate to me that r1277 did not break it.

However, I will not re-commit r1277 until we know what is going on.

#3 - 2008-03-21 00:02 - John Goerzen

Sergej, are you absolutely sure that the context menu worked for you in r1276?

#4 - 2008-03-21 07:43 - Sergej Jegorov

I use firefox as browser.

I just do svn up -r1277 and mongrel_rails cluster::restart

After that I go to Issue list and right-click on some issue. I saw Loading..., but context menu don't appear.

When i do svn up -r1277 or -r1278 and mongrel_rails cluster::restart then right-click context menu appear.

#5 - 2008-03-21 07:46 - Sergej Jegorov
P.S.

I do rake tmp:sessions:clear and rake tmp:cache:clear before mongrel_rails cluster::restart.

#6 - 2008-03-21 15:51 - Jean-Philippe Lang

Do you see an error in the log when the menu doesn't show up ?

#7 - 2008-03-21 16:18 - Sergej Jegorov

sorry I fogot about log ... ;)

ActionView::TemplateError (undefined local variable or method `back_to' for #<ActionView::Base:0xb6e6696c>) on

 line #38 of issues/context_menu.rhtml:

35:             <a href="#" class="submenu"><%= l(:field_done_ratio) %></a>

36:             <ul>

37:             <% (0..10).map{|x|x*10}.each do |p| -%>

38:                 <li><%= context_menu_link "#{p.to_s}%", {:controller => 'issues', :action => 'edit', :id =

> @issue, 'issue[done_ratio]' => p, :back_to => back_to}, :method => :post,

39:                                               :selected => (p == @issue.done_ratio), :disabled => !@can[:e

dit] %></li>

40:             <% end -%>

41:             </ul>

    app/views/issues/context_menu.rhtml:38:in `_run_erb_47app47views47issues47context_menu46rhtml'

    app/views/issues/context_menu.rhtml:37:in `each'

    app/views/issues/context_menu.rhtml:37:in `_run_erb_47app47views47issues47context_menu46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:637:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:637:in `compile_and_render_template'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:365:in `render_template'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_view/base.rb:316:in `render_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1100:in `render_for_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:914:in `render_with_no_layout'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/layout.rb:270:in `render_without_benchm

ark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:51:in `render'

    app/controllers/issues_controller.rb:332:in `context_menu'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_without

_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_witho

ut_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_w

ithout_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_w

ithout_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_withou

t_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cache.

rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filters

'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_sess

ion_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:158:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:285:in `initialize'
    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:285:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:268:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel.rb:268:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/configurator.rb:281:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/bin/mongrel_rails:128:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/lib/mongrel/command.rb:212:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.3/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:19:in `load'

    /usr/bin/mongrel_rails:19

Rendering /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/templates/rescues/layout.erb (int

ernal_server_error)

#8 - 2008-03-21 19:17 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Applied in changeset r1279.
